%define name	clementine
%define version	0.6
%define release	%mkrel 0

%define Summary	A cross-platform music player based on Amarok 1.4  

%define subrel 1
Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://clementine-player.googlecode.com/files/%{name}-%{version}.tar.gz
License:	GPLv3
Group:		Sound 
URL:		http://www.clementine-player.org/
BuildRequires:	qt4-devel >= 4.5.0
BuildRequires:	taglib-devel >= 1.6
BuildRequires:	liblastfm-devel
BuildRequires:	libboost-devel
BuildRequires:	qt4-linguist
BuildRequires:	gstreamer0.10-devel
BuildRequires:	cmake
BuildRequires:	glew-devel
BuildRequires:	libmtp-devel
BuildRequires:	usbmuxd-devel
BuildRequires:	libplist-devel
BuildRequires:	libimobiledevice-devel
BuildRequires:	libgpod-devel >= 0.7.92

Requires:	libprojectm-data
Requires:	qt4-database-plugin-sqlite
Suggests:	gstreamer0.10-decoders-audio
# Needed to be able to mount ipod/iphone/ipad (not tested locally) but it's also pulling gvfs
# which is need at least to mount mtp devices (tested locally)
Suggests:	gvfs-iphone
%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4. 
Features:
	* Search and play your local music library
	* Listen to internet radio from Last.fm, SomaFM and Magnatune
	* Tabbed playlists, import and export M3U, XSPF, PLS and ASX
	* Visualisations from projectM
	* Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
	* Edit tags on MP3 and OGG files, organise your music
	* Download missing album cover art from Last.fm
	* Remote control using a Wii Remote, MPRIS or the command-line
	* Copy music to your iPod, iPhone, MTP or mass-storage USB player
	* Queue manage

%files 
%defattr(-,root,root)
%_bindir/clementine
%_datadir/applications/clementine.desktop
%_iconsdir/hicolor/64x64/apps/application-x-clementine.png
%_iconsdir/hicolor/scalable/apps/application-x-clementine.svg
#---------------------------------------------------------------------

%prep
%setup -q  

%build
%cmake_qt4 -DQT_PHONON_INCLUDE_DIR=%_includedir -DBUNDLE_PROJECTM_PRESETS=OFF -DENABLE_LIBGPOD=ON -DENABLE_LIBMTP=ON -DENABLE_IMOBILEDEVICE=ON -DENABLE_WIIMOTEDEV=ON
# use of make -j 4 because %make seems to failed on BS here 
make -j 4 

%install
%__rm -rf %buildroot
%makeinstall_std -C build
# Remove unused files (aka ubuntu theme...) for the momemnt

%__rm -rf  %{buildroot}/%{_datadir}/icons/ubuntu-mono-dark/ %{buildroot}/%{_datadir}/icons/ubuntu-mono-light

%clean
%__rm -rf %buildroot


%changelog
* Tue Dec 28 2010 John Balcaen <mikala@mandriva.org> 0.6-0.1mdv2010.1
+ Revision: 625608
- Update to clementine 0.6
- Add qt4-database-plugin-sqlite  as require (needed for the library)

* Fri May 07 2010 John Balcaen <mikala@mandriva.org> 0.3-1mdv2010.1
+ Revision: 543186
- Update to 0.3 final

* Mon May 03 2010 John Balcaen <mikala@mandriva.org> 0.3-0.rc1.2mdv2010.1
+ Revision: 541833
- Enforce use of make -j 4 (thks to misc)
- bump release
- Correct %%release tag
- Update to 0.3rc1
- remove libnotify-devel BR

* Tue Apr 27 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.787mdv2010.1
+ Revision: 539860
- Update to revision 787
- Update to revision 774
- use -DQT_PHONON_INCLUDE_DIR= with %%cmake_qt4 macro (thks neoclust)

* Fri Apr 09 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.624mdv2010.1
+ Revision: 533308
- Update to revision 624 (gstreamer equalizer :D)
- add qt4-linguist as buildrequires

* Wed Apr 07 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.586mdv2010.1
+ Revision: 532433
- Update snapshot to svn 586
- add buildrequires for gstreamer-develi
- comment the vlc & xine buildrequires
- add suggests on gstreamer0.10-decoders-audio (disable xine-pulse one)

* Wed Mar 31 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.547mdv2010.1
+ Revision: 530089
- Update to revision 547 from svn
- Update description

* Tue Mar 23 2010 John Balcaen <mikala@mandriva.org> 0.2-1mdv2010.1
+ Revision: 526913
- import clementine


